#include "main-base.hpp"
#include "base.hpp"
#include "player.hpp"

namespace Test
{
	void Base::OnLoadObject()
	{
		//if (IsObjType(L"player"))
		//	if (IsObjName(L"player"))
		//		SetObjEnt(new (SCN().GetDynamicEntities().Add<Player>()) Player(GetObjAsset(), GetObjPos()));
		//	else
		//		if (IsObjName(L"sphere"))
		//			((Player &)GetObjEnt(-2)).AddCollShape(CollSphere(GetObjPos()));
	}

	Base::Base()
	{
	}

	Base::~Base()
	{
	}
}

